# VFS

*Vegetated Filter Strip and Erosion Model*

This series of daily timestep models links:

- rainfall simulation (Poisson or Markov chain models)
- temperature simulation (simple Fourier function)

to

- soil water storage based on soil properties, rainfall, and crop evapotranspiration
- runoff generation

to

- two field-scale erosion models
 
    - C-Q model 
    - MUSLE
    
to

- vegetated filter strip model removing sediment

to 

- phosphorus loss model (APLE) 



While the models can be calibrated for particular fields, the main objective is to assess the relative effect of vegetated filter strips on soil erosion and phosphorus loss under different soil texture and climatic conditions. Our focus is on regional identification of high risk areas and assessment the role of vegetated filter strips as a best management practice, rather than on accurately simulating particular field conditions.


